/*

    preset.c

    Copyright 1997-1999 by Richard Dawe



    Demonstration of libwin's environment-variable auto-setting functionality



    ---



    This program is free software; you can redistribute it and/or modify

    it under the terms of the GNU General Public License as published by

    the Free Software Foundation; either version 2 of the License, or

    (at your option) any later version.



    This program is distributed in the hope that it will be useful,

    but WITHOUT ANY WARRANTY; without even the implied warranty of

    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

    GNU General Public License for more details.



    You should have received a copy of the GNU General Public License

    along with this program; if not, write to the Free Software

    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/



#include <stdio.h>

#include <stdlib.h>

#include <unistd.h>

#include <sys/param.h>



#include <libwin.h>



int main (void)

{

    char hname[MAXGETHOSTNAME];



    win_init();



    if (gethostname(hname, MAXGETHOSTNAME) != 0) return(EXIT_FAILURE);

    printf("hostname = %s\n", hname);



    printf("USER = %s\nLOGIN = %s\nLOGNAME = %s\nHOME = %s\n",

           getenv("USER"), getenv("LOGIN"), getenv("LOGNAME"), getenv("HOME"));



    return(EXIT_SUCCESS);

}

