/*
    wintype.h
    Copyright (C) 1997-1999 by Richard Dawe

    Windows type declarations - part of libwin

    ---

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __LIBWIN_WINTYPE_H__
#define __LIBWIN_WINTYPE_H__

#ifdef __cplusplus
extern "C" {
#endif

#define CONST const

typedef long DWORD;
typedef long* LPDWORD;
typedef long* PLONG;

typedef char BYTE;
typedef char* LPBYTE;
typedef char* LPSTR;
typedef const char* LPCSTR;

typedef long HKEY;
typedef HKEY* PHKEY;

typedef void* LPSECURITY_ATTRIBUTES;

#ifdef __cplusplus
}
#endif

#endif  /* __LIBWIN_WINTYPE_H__ */
